Skip to content

Get criminal check

Request

Get a single criminal check with a given id. Results are only visible after webhook delivery.

Security
get-bearer-token-using-oauth2
Path
criminal_check_idstring, (uuid)required

the uuid identifying the criminal check

Query
include[]Array of strings

Request optional response fields. Repeat the parameter for multiple values.

Items Enum ValueDescription
profile

Embeds the full profile object in place of profile_id.

rulesets_applied

Embeds the rulesets applied when filtering this check's results.

Examples:
Single value
include[]=["profile"]
Multiple values
include[]=["profile","rulesets_applied"]
GET
/criminal_checks/{criminal_check_id}
curl -i -X GET \
  'https://api.checkrtrust.com/v1/criminal_checks/{criminal_check_id}?include%5B%5D=profile' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
One of:

A criminal check result. Results are only available after webhook delivery (completed_at is set). Before webhook delivery, the results array will be empty.

idstring, (uuid)(uuid)

A universally unique identifier (UUID) in standard format.

Example:"2b8313e8-4efd-45a1-b578-952b8313e890"
created_atstring, (date-time)(datetime)

An ISO 8601 formatted date-time string.

Example:"2020-01-01T00:00:00Z"
completed_atstring, (date-time)(datetime)

An ISO 8601 formatted date-time string.

Example:"2020-01-01T00:00:00Z"
resultsArray of objects(record)

Array of criminal records. When no records are found, this is an empty array.

Confidence scoring: Each record's cases[] entries may include identity_match_confidence_level, summarizing identity-match confidence for that case. See the case schema and the Instant Criminal Checks tag description.

check_typestring(check_type)
Enum:"instant_criminal""sex_offender_registry"
reference_idstring(reference_id)^[a-zA-Z0-9_-]{1,64}$

A reference identifier for linking related records. Limited to 64 alphanumeric characters, underscores, and hyphens.

Example:"ref-123"
run_notesArray of strings

An unstructured array of human-readable notes about this particular check. May contain notes about how input was parsed, or other information about results. Not intended to be parsed by computer, as these notes are not guaranteed to be in any given format.

Example:
[ "changed last_name from 'Smith Jr' to 'Smith'" ]
results_foundboolean

Present only when include[]=results_found is requested; omitted otherwise. When present, the results array is omitted.

rulesets_appliedArray of objects(ruleset_applied)

Present only when include[]=rulesets_applied is requested; omitted otherwise.

profile_idstring, (uuid)(profile_id)

Identifier of an existing profile containing search criteria.

Example:"2b8313e8-4efd-45a1-b578-952b8313e890"
Response
{ "profile_id": "2b8313e8-4efd-45a1-b578-952b8313e890", "completed_at": "2019-08-24T14:15:22Z" }